<?php
require_once "include/config.php";

if ($_SESSION['user_status'] == "A" && $_SESSION['user_type'] == "A") { ?>
    <!DOCTYPE html>
    <html lang="en">
    <head>
        <title>Admin Panel</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        
        <!-- Favicon -->
        <link rel="shortcut icon" href="images/fav.ico">
        
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
        
        <!-- Font-Awesome CSS -->
        <link rel="stylesheet" href="css/font-awesome.min.css">
        
        <!-- Custom CSS Files -->
        <link rel="stylesheet" href="css/style.css">
        <link rel="stylesheet" href="css/mob.css">
        <link rel="stylesheet" href="css/bootstrap.css">
        <link rel="stylesheet" href="css/materialize.css"/>
        
        <!-- DataTables CSS -->
        <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
    </head>
    <body>

        <?php include_once "include/header.php"; ?>

        <div class="container-fluid sb2">
            <div class="row">
                <?php include_once "include/sidebar.php"; ?>

                <div class="sb2-2">
                    <div class="sb2-2-2">
                        <ul>
                            <li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a></li>
                            <li class="active-bre"><a href="#">All Questions</a></li>
                        </ul>
                    </div>

                    <div class="sb2-2-3">
                        <div class="row">
                            <div class="col-md-12">
                                <?php 
                                if (isset($_SESSION['error_msg'])) {
                                    echo $_SESSION['error_msg'];
                                    unset($_SESSION['error_msg']);
                                }
                                if (isset($_SESSION['success_msg'])) {
                                    echo $_SESSION['success_msg'];
                                    unset($_SESSION['success_msg']);
                                }

                                // Retrieve Quiz Code
                                $query = "SELECT * FROM product_questions";
                                if (isset($_GET['id']) && isset($_GET['code'])) {
                                    $quiz_id = $_GET['id'];
                                    $quiz_code = $_GET['code'];
                                    $query = "SELECT * FROM product_questions WHERE quiz_code='$quiz_code'";
                                }
                                
                                $result = $connection->query($query);

                                if ($result->num_rows > 0) { ?>
                                    <div class="box-inn-sp">
                                        <div class="inn-title">
                                            <h4 class="txt-center">All Questions</h4>
                                        </div>
                                        <div class="tab-inn">
                                            <div class="table-responsive table-desi">
                                                <table id="questionsTable" class="table table-hover">
                                                    <thead>
                                                        <tr>
                                                            <th>ID</th>
                                                            <th>Questions (Hindi)</th>
                                                            <th>Questions (English)</th>
                                                            <th>Quiz Code</th>
                                                            <th>Answer 1</th>
                                                            <th>Answer 2</th>
                                                            <th>Answer 3</th>
                                                            <th>Answer 4</th>
                                                            <th>Correct Answer</th>
                                                            <th>Delete</th>
                                                            <th>Update</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php while ($row = $result->fetch_array()) { ?>
                                                        <tr>
                                                            <td><?php echo $row['id']; ?></td>
                                                            <td><?php echo $row['questions_hindi']; ?></td>
                                                            <td><?php echo $row['questions_english']; ?></td>
                                                            <td><?php echo $row['quiz_code']; ?></td>
                                                            <td><?php echo $row['answers1']; ?></td>
                                                            <td><?php echo $row['answers2']; ?></td>
                                                            <td><?php echo $row['answers3']; ?></td>
                                                            <td><?php echo $row['answers4']; ?></td>
                                                            <td>
                                                                <?php 
                                                                $correct_answer = ["1", "2", "3", "4"];
                                                                echo $correct_answer[$row['correct_ans']];
                                                                ?>
                                                            </td>
                                                            <td>
                                                                <a href="include/delete_questions.php?id=<?php echo $row['id']; ?>">
                                                                    <i class="fa fa-trash-o" aria-hidden="true"></i>
                                                                </a>
                                                            </td>
                                                            <td>
                                                                <a href="edit-questions.php?id=<?php echo $row['id']; ?>">
                                                                    <i class="fa fa-wrench" aria-hidden="true"></i>
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        <?php } ?>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                <?php } else { ?>
                                    <h3 class="text-center">Sorry, There are no Questions to display.</h3>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- jQuery -->
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <!-- Bootstrap -->
        <script src="js/bootstrap.min.js"></script>
        <!-- Materialize -->
        <script src="js/materialize.min.js"></script>
        <!-- Custom Scripts -->
        <script src="js/custom.js"></script>
        <!-- DataTables -->
        <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

        <script>
            $(document).ready(function () {
                $('#questionsTable').DataTable({
                    "paging": true,
                    "searching": true,
                    "ordering": true,
                    "info": true
                });
            });
        </script>
        
    </body>
    </html>

<?php 
} else {
    $_SESSION['error_msg'] = "<div class='alert alert-danger'>";
    $_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
    $_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
    header("Location: index.php");
}
?>
