<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Requested-With');

require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
    // Receive the RAW post data.
    $content = trim(file_get_contents("php://input"));
    $decoded = json_decode($content);

    // Validate the input
    if (isset($decoded->data->username) && isset($decoded->data->phone)) {
        $username = htmlspecialchars($connection->real_escape_string($decoded->data->username));
        $phone = htmlspecialchars($connection->real_escape_string($decoded->data->phone));

        if (!empty($username) && !empty($phone)) {
            $sql = "SELECT * FROM temporder WHERE username = '$username' AND phone = '$phone' AND order_type = 'Shopping' ORDER BY order_date DESC";
            $query = $connection->query($sql);

            if ($query && $query->num_rows >= 1) {
                $response = array(
                    "status" => 1,
                    "msg" => "All Orders",
                    "orders" => array() // Initialize the orders array
                );

                while ($row = $query->fetch_assoc()) {
                    $uniqueId = $row['uniqueId'];
                    $im1 = $connection->query("SELECT * FROM order_details WHERE uniqueId = '$uniqueId'")->fetch_assoc();

                    if ($im1) {
                        $row['product_code'] = $im1['product_code'];
                        $product_code = $im1['product_code'];
                        $purchases = $im1['purchases_type'];

                        if ($purchases == "P") {
                            $im = $connection->query("SELECT * FROM products WHERE product_code = '$product_code'")->fetch_assoc();
                            $category_code = $im['category_code'];
                            
                            $im1 = $connection->query("SELECT * FROM categories WHERE category_code = '$category_code'")->fetch_assoc();
                            $row['name1'] = $im1['name'];
                            if ($im) {
                                
                                $row['image'] = $im['photo_link'];
                                $row['name'] = $im['name'];
                                $row['p'] = "P";
                            }
                        } else  {
                            $im1_count = $connection->query("SELECT COUNT(*) AS count FROM products WHERE category_code = '$product_code'")->fetch_assoc();
                            $im = $connection->query("SELECT * FROM categories WHERE category_code = '$product_code'")->fetch_assoc();
                            if ($im) {
                                $row['category_code'] = $im['category_code'];
                                $row['image'] = $im['photo_link'];
                                $row['name'] = $im['name'];
                                $row['count'] = $im1_count['count'];
                                
                            }
                        }
                        $response['orders'][] = $row;
                    }
                }
            } else {
                $response = array(
                    "status" => 2,
                    "msg" => "No Orders found",
                );
            }
        } else {
            $response = array(
                "status" => 0,
                "msg" => 'Login again to see your orders.',
            );
        }
    } else {
        $response = array(
            'status' => 99,
            'msg' => "Unauthorized request",
        );
    }
} else {
    $response = array(
        'status' => 99,
        'msg' => "Unauthorized request",
    );
}

echo json_encode($response);
