<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST, GET, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Requested-With');

require_once "include/config.php";

$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
$response = array();

if ($contentType === "application/json") {
    // Receive the RAW post data.
    $content = trim(file_get_contents("php://input"));
    $decoded = json_decode($content);

    // Validate the input
    if (isset($decoded->data->sub_category_code)) {
        // Sanitize the input
        $code = htmlspecialchars($connection->real_escape_string($decoded->data->sub_category_code));

        if (!empty($code)) {
            // Query the database for products related to this sub-category code
            $sql = "SELECT * FROM products WHERE category_code = '$code'";
            $query = $connection->query($sql);

            if ($query && $query->num_rows > 0) {
                // Initialize an empty array for orders
                $response['orders'] = array();

                // Loop through the query results and prepare the response
                while ($row1 = $query->fetch_assoc()) {
                    $order = array();
                    $order['product_code'] = $row1['product_code'];
                    $order['image'] = $row1['photo_link'];  // Assuming 'photo_link' stores the image URL
                    $order['name'] = $row1['name'];  // Assuming 'name' stores the product name
                    $order['p'] = "P";  // Additional attribute, can be changed if needed

                    // Append each order to the 'orders' array
                    $response['orders'][] = $order;
                }

                // Success response
                $response['status'] = 1;
                $response['msg'] = "Orders fetched successfully.";
            } else {
                // No products found for the given category code
                $response['status'] = 2;
                $response['msg'] = "No products found for the provided sub-category code.";
            }
        } else {
            // Invalid sub-category code
            $response['status'] = 0;
            $response['msg'] = 'Invalid or empty sub-category code.';
        }
    } else {
        // Unauthorized or missing data
        $response = array(
            'status' => 99,
            'msg' => "Unauthorized request or missing sub-category code.",
        );
    }
} else {
    // If the content type is not JSON
    $response = array(
        'status' => 99,
        'msg' => "Unauthorized request - Only JSON requests are allowed.",
    );
}

echo json_encode($response);

?>
