<?php

require_once "include/config.php";

// Initialize an empty array for the response
$product_code = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['product_code']));
// echo $product_code;
// die();
$data = array();

// Check if the database connection is successful
if ($connection) {
    // SQL query to fetch all records from the product_questions table
    $sql = "SELECT * FROM product_questions WHERE quiz_code='$product_code'";

    // Execute the query and store the result
    $ros = mysqli_query($connection, $sql);

    // Check if the query was successful
    if ($ros) {
        // Loop through the result set
        while ($res = mysqli_fetch_assoc($ros)) {
            // Ensure the necessary fields are set
            if (isset($res['questions_english'], $res['answers1'], $res['answers2'], $res['answers3'], $res['answers4'], $res['correct_ans'])) {
                // Structure the data in the desired format
                $question = array(
                    "question" => htmlspecialchars($res['questions_english']), // Ensure the question is safely rendered
                    "hindi"=> htmlspecialchars($res['questions_hindi']),
                    "options" => array(
                        htmlspecialchars($res['answers1']), // Option 1
                        htmlspecialchars($res['answers2']), // Option 2
                        htmlspecialchars($res['answers3']), // Option 3
                        htmlspecialchars($res['answers4'])  // Option 4
                    ),
                    // Ensure correct answer index is an integer and return it
                    "correct" => (int)$res['correct_ans'] 
                );

                // Add the structured question to the data array
                $data[] = $question;
            }
        }
    } else {
        // If the query fails, show an error message
        $data = array("error" => "Error: " . mysqli_error($connection));
    }
} else {
    // If connection fails, show an error message
    $data = array("error" => "Database connection failed.");
}

// Check if any questions were found, and return a message if empty
if (empty($data)) {
    $data = array("message" => "No questions found.",
                   "status" => "2"
    );
}

// Return the data as a JSON response
header('Content-Type: application/json');
echo json_encode($data);
?>
